> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/files/download-file-by-token.md).

# Download File By Token

Download a file using a short-lived signed download token (no Bearer auth required).

Tokens are generated by the `get_file_download_url` agent tool and are valid for a configurable duration (default 1 hour).

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"paths":{"/api/v1/conversations/{conversation_id}/files/{file_id}/download":{"get":{"tags":["files","public"],"summary":"Download File By Token","description":"Download a file using a short-lived signed download token (no Bearer auth required).\n\nTokens are generated by the ``get_file_download_url`` agent tool and are\nvalid for a configurable duration (default 1 hour).","operationId":"files-download_file_by_token","parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"integer","title":"Conversation Id"}},{"name":"file_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"File Id"}},{"name":"token","in":"query","required":true,"schema":{"type":"string","description":"Short-lived file download token.","title":"Token"},"description":"Short-lived file download token."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"User not authenticated","content":{"application/json":{}}},"403":{"description":"User lacks permission","content":{"application/json":{}}},"404":{"description":"Resource not found or user has no permission to access it","content":{"application/json":{}}}}}}}}
```
